## org.apache.batik.dom.svg
Class SVGOMPoint

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMPoint

All Implemented Interfaces:
  SVGPoint

Direct Known Subclasses:
  SVGTextContentSupport.SVGTextPoint

public class SVGOMPoint
extends java.lang.Object
implements SVGPoint

This class provides an abstract implementation of the `SVGMatrix` interface.

Constructor Summary
`SVGOMPoint()`
`SVGOMPoint(float x, float y)`

Method Summary
`float` `getX()`
`float` `getY()`
`SVGPoint` `matrixTransform(SVGMatrix matrix)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMPoint

    public SVGOMPoint()

### SVGOMPoint

    public SVGOMPoint(float x,
                      float y)

Method Detail

### getX

    public float getX()

  Specified by:
    `getX` in interface `SVGPoint`

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  Specified by:
    `setX` in interface `SVGPoint`
  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

  Specified by:
    `getY` in interface `SVGPoint`

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  Specified by:
    `setY` in interface `SVGPoint`
  Throws:
    `org.w3c.dom.DOMException`

### matrixTransform

    public SVGPoint matrixTransform(SVGMatrix matrix)

  Specified by:
    `matrixTransform` in interface `SVGPoint`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.